Subject: bug#6019: closed (Re: bug#6019: 23.1; ange-ftp with VAX)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2011 21:40:03 +0000

Your bug report

#6019: 23.1; ange-ftp with VAX

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6019: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6019
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6019: 23.1; ange-ftp with VAX
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jul 2011 17:39:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug is being closed because it could not be reproduced and there
was no response to a request for more information.
If you still see the problem with the latest Emacs release, 23.3,
please reply with the requested information and it can be reopened if needed.

You can view the whole report at http://debbugs.gnu.org/BUGNUMBER

Michael Albinus wrote:

> I have no access to a VAX any longer (for 15 years or so), and from
> reading the sources in ange-ftp.el I cannot find the problem.
>
> Could you, please, apply the following:
>
> (require 'ange-ftp)
> (require 'trace)
> (dolist (elt (all-completions "ange-ftp-" obarray 'functionp))
>   (trace-function-background (intern elt)))
>
> Then rerun your test and show the contents of the buffers
>
>   *ftp ...*
>   *trace-output*
>
> Check the buffers, that they do not contain sensitive information like
> your password, before sending.

Subject: 23.1; ange-ftp with VAX
From: "Carroll, Tom" <[email-masked]>
To: <[email-masked]>
Date: Fri, 23 Apr 2010 17:09:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a problem with Emacs 23.1, and NOT with 22.1.1.

Attempting to perform a find-file on a VAX no longer works.  Looking
into the ftp buffer
reveals what appears to be the problem: the syntax of a directory
command is incorrect.

Note that this does not cause Emacs to crash - just to fail to access
remote files.

For example: in connecting to a machine called Pine (not the email
program! - we 
have a tree motif here) with the user tcarroll results in the following:

dir [.".AP:.TCARROLL]"
c:/DOCUME~1/tcarroll/LOCALS~1/Temp/ange-ftp3268PtF

The correct syntax is created by Emacs 22.1:

dir AP:[TCARROLL] c:/DOCUME~1/tcarroll/LOCALS~1/Temp/ange-ftp2724gSG

I hope you understand VAX file syntax - VAX stuff is pretty far out of
date these days.

By the way, Emacs is fantastic, and as a technology professional I live
half my life in
this software.

Thanks!

Tom

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> <f11> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> C-SPC C-e <escape> 
w <help-echo> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> C-x C-f C-a C-k <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <mouse-1> <S-insert> <return> <down-mouse-1> 
<mouse-1> <escape> x e m a c s SPC r e p o r t SPC 
b <backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> C-g C-h a r e p 
o r t SPC b u g <return> <escape> x r e p o r t SPC 
e m a c s SPC b u g <return>

Recent messages:
Listing /tcarroll@pine:/AP:/... [2 times]
Listing /tcarroll@pine:/AP:/TCARROLL/... [2 times]
Listing /tcarroll@pine:/AP:/... [2 times]
Listing /tcarroll@pine:/AP:/TCARROLL/... [2 times]
byte-code: FTP Error: DIR failed: 550 %RMS-F-SYN, file specification
syntax error
Mark set
Listing /tcarroll@pine:/AP:/TCARROLL/DOC/... [6 times]
byte-code: FTP Error: DIR failed: 550 %RMS-F-SYN, file specification
syntax error
Quit
Type C-x 4 C-o RET to restore the other window.  *** E-Mail body has
been placed on clipboard, please paste them here! ***

The information contained in this communication is intended for the use
of the designated recipients named above. If the reader of this 
communication is not the intended recipient, you are hereby notified
that you have received this communication in error, and that any review,
dissemination, distribution or copying of this communication is strictly
prohibited. If you have received this communication in error, please 
notify The Associated Press immediately by telephone at +1-212-621-1898 
and delete this e-mail. Thank you.
[IP_US_DISC]
msk dccc60c6d2c3a6438f0cf467d9a4938